Index: gdk4-x11/Cargo.toml
===================================================================
--- gdk4-x11.orig/Cargo.toml
+++ gdk4-x11/Cargo.toml
@@ -50,14 +50,14 @@ version = "0.19"
 features = ["v2_66"]
 
 [dependencies.khronos-egl]
-version = "6.0"
+version = "4"
 optional = true
 
 [dependencies.libc]
 version = "0.2"
 
 [dependencies.x11]
-version = "2.20"
+version = "2.19"
 optional = true
 
 [dev-dependencies.gir-format-check]
